Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://api.bold-factory.com/v1/maintenance/workOrders/{workOrderReference}/actions \ --header 'Authorization: Bearer <token>'
{ "results": [ { "id": "<string>", "workOrderId": "<string>", "definitionId": "<string>", "definition": { "id": "<string>", "externalReference": "<string>", "name": "<string>", "theoreticalMinutes": 123, "deletedAt": "2023-11-07T05:31:56Z", "createdAt": "2023-11-07T05:31:56Z", "createdBy": "<string>", "lastModifiedAt": "2023-11-07T05:31:56Z", "lastModifiedBy": "<string>" }, "theoreticalMinutes": 123, "employeeId": "<string>", "employee": { "id": "<string>", "externalReference": "<string>", "active": true, "fullName": "<string>", "code": "<string>" }, "notes": "<string>", "result": "<string>", "createdAt": "2023-11-07T05:31:56Z", "completedAt": "2023-11-07T05:31:56Z" } ], "totalCount": 123 }
Requires Maintenance.WorkOrders.Read permissions
Maintenance.WorkOrders.Read
Use a valid JWT token in the Authorization header with the format 'Bearer {token}'
OK
Show child attributes